[Deprecated]: V2.0
get
/ec-designer-svc/rest/v2.0/studies
Deprecated: Use latest version instead. Returns the latest version of each study. Compared with v1.0, this version returns the study DTO shape.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object StudyDto v2.0
Title:
StudyDto v2.0Information about a study for UI consumption.
Nested Schema : StudyDto v2.0
Type:
objectTitle:
StudyDto v2.0Information about a study for UI consumption.
Show Source
-
approvedVersionsCount: integer
(int32)
Count of study in approved modeExample:
1 -
archivedVersionsCount: integer
(int32)
Count of study in archived modeExample:
1 -
contractCode: string
Study contract code or identifierExample:
NCT00000419 -
customerRefNo: string
Customer reference number
-
description: string
Study description
-
draftVersionsCount: integer
(int32)
Count of study in draft modeExample:
1 -
everApprovedCount: integer
(int32)
If study was ever approvedExample:
1 -
hasObjects: integer
(int32)
If study contains any artifactsExample:
1 -
id: string
(uuid)
Study Unique GUID
-
identity: string
Study identity - concatenation of study id and versionExample:
8C4ECDFD9C214D38B4E68D3107BA0AF9:1.0.0.3 -
lastModified: string
(date-time)
Last modified timestampExample:
2026-02-21T06:30:00Z -
modes: array
modes
-
openLabelBlinded: string
Study type for open label and blindedExample:
DoubleBlinded -
previousState: string
Allowed Values:
[ "settings, active, design, test, training" ]Previous study state -
singleKitSettingId: string
Single kit id
-
sowNo: string
SOW number
-
sponsorId: string
Sponsor Id
-
studyDescription: string
Study description or protocol titleExample:
A randomized double blind placebo controlled study to investigate the safety of microphylla in healthy adult volunteers. -
studyPhase: string
Study phaseExample:
II -
studyState: string
Allowed Values:
[ "settings, active, design, test, training" ]Current study state -
studyStatus: string
Allowed Values:
[ "DRAFT", "TESTING", "APPROVED", "ARCHIVED" ]Current study statusExample:APPROVED -
studyStatusId: integer
(int32)
Study status Id
-
studyTitle: string
Study Title or protocol numberExample:
TICIPS001 -
testingVersionsCount: integer
(int32)
Count of study in testing modeExample:
1 -
therapeuticArea: string
Study therapeutic areaExample:
Infectious Diseases -
useBlindingGroups: boolean
Whether study uses blinding groups
-
useLabelGroups: boolean
Whether study uses label groups
-
useShippinggroups: boolean
Whether study uses shipping groups
-
version: string
Study versionExample:
1.0.0.3 -
versionEnd: string
(date-time)
Version EndExample:
3099-12-31T05:00:00Z -
versionPreviousStatus: string
Allowed Values:
[ "DRAFT", "TESTING", "APPROVED", "ARCHIVED" ]Previous study statusExample:TESTING -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z -
versionStatus: string
Study version statusExample:
Active, not recruiting -
versionTitle: string
Study Title or protocol numberExample:
TICIPS001:1.0.0.3 -
versionType: string
Study version typeExample:
Active, not recruiting
Nested Schema : modes
Type:
Show Source
array-
Array of:
string
Allowed Values:
[ "test", "training", "active" ]Study modesExample:active
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}